#
# Conditional build:
%bcond_with	tests		# build with tests
# TODO:
# - runtime Requires if any
# - package manual pages
%define		kdeframever	6.11
%define		qtver		5.15.2
%define		kfname		kdoctools

Summary:	Create documentation from DocBook
Name:		kf6-%{kfname}
Version:	6.11.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	52d5e6b18613fd23ba09d05459812062
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-karchive-devel >= %{version}
BuildRequires:	kf6-ki18n-devel >= %{version}
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-devel
BuildRequires:	ninja
BuildRequires:	perl-URI
BuildRequires:	perl-base
BuildRequires:	qt6-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Core >= %{qtver}
Requires:	docbook-style-xsl
Requires:	kf6-dirs
Requires:	kf6-karchive >= %{version}
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
Provides tools to generate documentation in various format from
DocBook files.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt6Core-devel >= %{qtver}
Requires:	cmake >= 3.16
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}6

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}6.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/checkXML6
%attr(755,root,root) %{_bindir}/meinproc6
%ghost %{_libdir}/libKF6DocTools.so.6
%attr(755,root,root) %{_libdir}/libKF6DocTools.so.*.*
%{_docdir}/HTML/*/kdoctools6-common
%dir %{_datadir}/kf6/kdoctools
%{_datadir}/kf6/kdoctools/customization
%{_mandir}/man1/checkXML6.1*
%{_mandir}/man1/meinproc6.1*
%{_mandir}/man7/kf6options.7*
%{_mandir}/man7/qt6options.7*
%{_mandir}/ca/man1/checkXML6.1*
%{_mandir}/ca/man1/meinproc6.1*
%{_mandir}/ca/man7/kf6options.7*
%{_mandir}/ca/man7/qt6options.7*
%{_mandir}/es/man1/checkXML6.1*
%{_mandir}/es/man7/kf6options.7*
%{_mandir}/es/man1/meinproc6.1*
%{_mandir}/es/man7/qt6options.7*
%{_mandir}/it/man1/checkXML6.1*
%{_mandir}/it/man1/meinproc6.1*
%{_mandir}/it/man7/kf6options.7*
%{_mandir}/it/man7/qt6options.7*
%{_mandir}/nl/man1/checkXML6.1*
%{_mandir}/nl/man1/meinproc6.1*
%{_mandir}/nl/man7/kf6options.7*
%{_mandir}/nl/man7/qt6options.7*
%{_mandir}/sl/man1/checkXML6.1*
%{_mandir}/sl/man1/meinproc6.1*
%{_mandir}/sl/man7/kf6options.7*
%{_mandir}/sl/man7/qt6options.7*
%{_mandir}/tr/man1/checkXML6.1*
%{_mandir}/tr/man1/meinproc6.1*
%{_mandir}/tr/man7/kf6options.7*
%{_mandir}/tr/man7/qt6options.7*
%{_mandir}/uk/man1/checkXML6.1*
%{_mandir}/uk/man1/meinproc6.1*
%{_mandir}/uk/man7/kf6options.7*
%{_mandir}/uk/man7/qt6options.7*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KDocTools
%{_libdir}/cmake/KF6DocTools
%{_libdir}/libKF6DocTools.so
%changelog
* Fri Feb 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kdoctools.git;a=log;h=master

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 53c5143
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4ba644f
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 930ed97
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 87ee4e1
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d93d124
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 53628b9
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6d13316
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1406030
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 4c46372
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b38bc6e
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dd2be77
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8a29297
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f759d5e
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 77f283e
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 04bbc96
- updated to 5.249.0; rel 0.1

